## kio-gdrive 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(kio-gdrive VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION 5.15.2)
set(KF5_MIN_VERSION 5.96.0)
set(KGAPI_MIN_VERSION 5.11.41)
set(KACCOUNTS_MIN_VERSION 20.03.80)
set(QTKEYCHAIN_MIN_VERSION 0.6.0)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Gui
    Network
    Widgets)


find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    DocTools
    KIO)

find_package(KPimGAPI ${KGAPI_MIN_VERSION} REQUIRED)

find_package(KF5Purpose ${KF5_MIN_VERSION}) # Optional since it depends on KAccounts

set_package_properties(KF5Purpose PROPERTIES TYPE RECOMMENDED PURPOSE "Enables the Share menu plugin.")

find_package(KAccounts ${KACCOUNTS_MIN_VERSION})
set_package_properties(KAccounts PROPERTIES
    TYPE RECOMMENDED
    URL "https://commits.kde.org/kaccounts-integration"
    PURPOSE "Enables integration with system-wide accounts.")

if (NOT KAccounts_FOUND)
    find_package(Qt${QT_MAJOR_VERSION}Keychain ${QTKEYCHAIN_MIN_VERSION} REQUIRED)
    set_package_properties(Qt5Keychain PROPERTIES
        URL "https://github.com/frankosterfeld/qtkeychain"
        PURPOSE "Required for secure storage of accounts secrets.")
    message(STATUS "Building the QtKeychain backend.")
endif()

find_package(Qt5Test QUIET)
set_package_properties(Qt5Test PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for building tests.")

if(NOT Qt5Test_FOUND)
   set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX GDRIVE
    VERSION_HEADER gdriveversion.h)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_STRICT_ITERATORS)
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_gdrive\")

ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.83.0
    )

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(desktop)
add_subdirectory(doc)
add_subdirectory(src)

if (KF5Purpose_FOUND)
    add_subdirectory(purpose)
endif()

if (KAccounts_FOUND)
    message(STATUS "Building the KAccounts backend.")
    add_subdirectory(kaccounts)
endif()

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== purpose/CMakeLists.txt ===
kcoreaddons_add_plugin(purpose_gdrive SOURCES purpose_gdrive.cpp gdrivejob.cpp JSON "purpose_gdrive.json" INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/purpose")
target_link_libraries(purpose_gdrive Qt::Core KF5::Purpose)
set_target_properties(purpose_gdrive PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf${QT_MAJOR_VERSION}/purpose")
install(FILES "purpose_gdrive_config.qml" DESTINATION ${KDE_INSTALL_DATADIR}/purpose)

target_link_libraries(purpose_gdrive KF5::KIOCore KF5::I18n KF5::Purpose)

=== debian/changelog ===
kio-gdrive (23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:42:38 +0200

kio-gdrive (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:06:24 +0000

kio-gdrive (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:02:20 +0000

kio-gdrive (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:01:19 -0700

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Nicholas D Steeves <sten@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.96.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:23.08.5~),
               libkf5doctools-dev (>= 5.96.0~),
               libkf5i18n-dev (>= 5.96.0~),
               libkf5kio-dev (>= 5.96.0~),
               libkf5notifications-dev (>= 5.96.0~),
               libkf5purpose-dev (>= 5.96.0~),
               libkpimgapi-dev (>= 23.08.5~),
               pkg-config,
               pkg-kde-tools (>= 0.15.24~),
               qt5keychain-dev (>= 0.6.0~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kio-gdrive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 24.08.2

=== debian/changelog ===
kio-gdrive (24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release.
  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Nov 2024 11:22:58 -0500

kio-gdrive (24.05.2-1~exp1) experimental; urgency=medium

  * New upstream release: 24.05.2.
  * Migrate to Qt6 and KDE Frameworks6.
  * Switch to new dh-sequence-kf6.
  * Override dh_auto_configure and force Qt6 build to work around #1076569.
  * Add new build-dep: libkgapi-dev.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 29 Jul 2024 14:21:26 -0400

kio-gdrive (23.08.5-1) unstable; urgency=medium

  * New upstream release (at this time 24.02.2 is actually the newest upstream
    release; however, we haven't yet transitioned to KF6 and Plasma 6, so it's
    not yet possible to use it).
  * Add libkf5purpose-dev to build-deps, because this "Enables the Share menu
    plugin."
  * Migrate from obsolete B-D pkg-config to pkgconf.
  * Declare Standards-Version: 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 17 May 2024 21:41:55 -0400

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,22 @@
 Build-Depends: appstream,
                cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.96.0~),
+               dh-sequence-kf6,
+               extra-cmake-modules (>= 6.3.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:23.08.5~),
-               libkf5doctools-dev (>= 5.96.0~),
-               libkf5i18n-dev (>= 5.96.0~),
-               libkf5kio-dev (>= 5.96.0~),
-               libkf5notifications-dev (>= 5.96.0~),
-               libkf5purpose-dev (>= 5.96.0~),
-               libkpimgapi-dev (>= 23.08.5~),
-               pkg-config,
-               pkg-kde-tools (>= 0.15.24~),
-               qt5keychain-dev (>= 0.6.0~),
-               qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+               libkaccounts6-dev (>= 4:20.03.80~),
+               libkf6doctools-dev (>= 5.96.0~),
+               libkf6i18n-dev (>= 5.96.0~),
+               libkf6kio-dev (>= 5.96.0~),
+               libkf6notifications-dev (>= 5.96.0~),
+               libkf6purpose-dev (>= 5.96.0~),
+               libkgapi-dev (>= 5.11.41~),
+               libkpimgapi-dev (>= 22.12.3-2~),
+               pkgconf,
+               qtkeychain-qt6-dev (>= 0.6.0~),
+               qt6-base-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/network/kio-gdrive
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive

## kio-gdrive 24.12.0

=== debian/changelog ===
kio-gdrive (24.12.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable (Closes: #1088980).

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 23:20:56 +0100

kio-gdrive (24.12.0-1) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Dec 2024 21:11:51 +0100

kio-gdrive (24.08.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 29 Aug 2024 17:39:05 -0400

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Nicholas D Steeves <sten@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts6-dev (>= 4:24.08.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6purpose-dev (>= 6.3.0~),
               libkgapi-dev (>= 24.12.0~),
               pkgconf,
               qtkeychain-qt6-dev (>= 0.12.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kio-gdrive
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-gdrive.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration, ${misc:Depends}, ${shlibs:Depends},
Enhances: dolphin,
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 24.12.3

=== desktop/CMakeLists.txt ===
install(FILES gdrive-network.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/remoteview)
install(FILES org.kde.kio_gdrive.metainfo.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kio-gdrive (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:29 -0500

kio-gdrive (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Feb 2025 22:57:33 +0000

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Nicholas D Steeves <sten@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts6-dev (>= 4:24.12.3~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6purpose-dev (>= 6.3.0~),
               libkgapi-dev (>= 24.12.3~),
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qtkeychain-qt6-dev (>= 0.12.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kio-gdrive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration, ${misc:Depends}, ${shlibs:Depends},
Enhances: dolphin,
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 25.04.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(kio-gdrive VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION 6.5.0)
set(KF_MIN_VERSION 6.3.0)
# TODO: bump to 6.3.0 after release/24.12 gets branched
set(KGAPI_MIN_VERSION 6.2.40)
set(KACCOUNTS_MIN_VERSION 24.08.0)
set(QTKEYCHAIN_MIN_VERSION 0.12.0)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Gui
    Network
    Widgets)


find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    DocTools
    KIO)

find_package(KPim6GAPI ${KGAPI_MIN_VERSION} REQUIRED)

find_package(KF6Purpose ${KF_MIN_VERSION}) # Optional since it depends on KAccounts

set_package_properties(KF6Purpose PROPERTIES TYPE RECOMMENDED PURPOSE "Enables the Share menu plugin.")

find_package(KAccounts6 ${KACCOUNTS_MIN_VERSION})
set_package_properties(KAccounts6 PROPERTIES
    TYPE RECOMMENDED
    URL "https://commits.kde.org/kaccounts-integration"
    PURPOSE "Enables integration with system-wide accounts.")

if (NOT KAccounts6_FOUND)
    find_package(Qt6Keychain ${QTKEYCHAIN_MIN_VERSION} REQUIRED)
    set_package_properties(Qt6Keychain PROPERTIES
        URL "https://github.com/frankosterfeld/qtkeychain"
        PURPOSE "Required for secure storage of accounts secrets.")
    message(STATUS "Building the QtKeychain backend.")
endif()

find_package(Qt6Test QUIET)
set_package_properties(Qt6Test PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for building tests.")

if(NOT Qt6Test_FOUND)
   set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX GDRIVE
    VERSION_HEADER gdriveversion.h)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_STRICT_ITERATORS)
add_definitions(-DTRANSLATION_DOMAIN=\"kio6_gdrive\")

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(desktop)
add_subdirectory(doc)
add_subdirectory(src)

if (KF6Purpose_FOUND)
    add_subdirectory(purpose)
endif()

if (KAccounts6_FOUND)
    message(STATUS "Building the KAccounts backend.")
    add_subdirectory(kaccounts)
endif()

ki18n_install(po)
kdoctools_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/integration/contextmenuaction/CMakeLists.txt ===
kcoreaddons_add_plugin(gdrivecontextmenuaction
    SOURCES contextmenuaction.cpp
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(gdrivecontextmenuaction
    KF6::I18n
    KF6::KIOWidgets)

=== debian/changelog ===
kio-gdrive (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:26:59 +0200

kio-gdrive (24.12.3-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Update old FSF mailing address to use
    <https://www.gnu.org/licenses/>, as all up-to-date copies of the LGPL-2.1+
    do.
  * Declare Standards-Version: 4.7.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Sat, 12 Apr 2025 15:33:25 -0400

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Nicholas D Steeves <sten@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               appstream,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts6-dev (>= 4:24.08.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6purpose-dev (>= 6.3.0~),
               libkgapi-dev (>= 24.12.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qtkeychain-qt6-dev (>= 0.12.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kio-gdrive
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-gdrive.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration, ${misc:Depends}, ${shlibs:Depends},
Enhances: dolphin,
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 25.04.3

=== debian/changelog ===
kio-gdrive (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:45:23 +0100

kio-gdrive (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:48:15 +0100

kio-gdrive (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:08:12 +0100

kio-gdrive (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:51:21 +0100

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Nicholas D Steeves <sten@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts6-dev (>= 4:25.04.3~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6purpose-dev (>= 6.3.0~),
               libkgapi-dev (>= 25.04.3~),
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qtkeychain-qt6-dev (>= 0.12.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kio-gdrive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration, ${misc:Depends}, ${shlibs:Depends},
Enhances: dolphin,
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 25.07.80

=== debian/changelog ===
kio-gdrive (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:41:43 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                extra-cmake-modules (>= 6.3.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts6-dev (>= 4:25.04.3~),
+               libkaccounts6-dev (>= 4:25.07.80~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
                libkf6purpose-dev (>= 6.3.0~),
-               libkgapi-dev (>= 25.04.3~),
+               libkgapi-dev (>= 25.07.80~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qtkeychain-qt6-dev (>= 0.12.0~),

## kio-gdrive 25.07.90

=== debian/changelog ===
kio-gdrive (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:48:02 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                extra-cmake-modules (>= 6.3.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts6-dev (>= 4:25.07.80~),
+               libkaccounts6-dev (>= 4:25.07.90~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
                libkf6purpose-dev (>= 6.3.0~),
-               libkgapi-dev (>= 25.07.80~),
+               libkgapi-dev (>= 25.07.90~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qtkeychain-qt6-dev (>= 0.12.0~),

## kio-gdrive 25.08.0

=== debian/changelog ===
kio-gdrive (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:53:28 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                extra-cmake-modules (>= 6.3.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts6-dev (>= 4:25.07.90~),
+               libkaccounts6-dev (>= 4:25.08.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
                libkf6purpose-dev (>= 6.3.0~),
-               libkgapi-dev (>= 25.07.90~),
+               libkgapi-dev (>= 25.08.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qtkeychain-qt6-dev (>= 0.12.0~),

## kio-gdrive 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-gdrive VERSION ${RELEASE_SERVICE_VERSION})

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

ecm_add_test(
    urltest.cpp ../src/gdriveurl.cpp
    LINK_LIBRARIES Qt::Test
    TEST_NAME urltest
    NAME_PREFIX kio_gdrive-)

# FIXME: this test is currently broken for Jenkins
#ecm_add_test(
#    listtest.cpp
#    LINK_LIBRARIES Qt5::Test KF5::KIOCore
#    TEST_NAME listtest
#    NAME_PREFIX kio_gdrive-)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
    INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
    SUBDIR kioworker6/gdrive)

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR})
include_directories(${CMAKE_BINARY_DIR})

add_subdirectory(integration)

set(kio_gdrive_SRCS
    kio_gdrive.cpp
    pathcache.cpp
    abstractaccountmanager.cpp
    gdrivehelper.cpp
    gdriveurl.cpp)

if (KAccounts6_FOUND)
    set(BACKEND_SRC kaccountsmanager.cpp)
    set(BACKEND_HEADER kaccountsmanager.h)
    set(BACKEND_CLASSNAME KAccountsManager)
    set(BACKEND_LIBS KAccounts6)
else()
    set(BACKEND_SRC keychainaccountmanager.cpp)
    set(BACKEND_HEADER keychainaccountmanager.h)
    set(BACKEND_CLASSNAME KeychainAccountManager)
    set(BACKEND_LIBS ${QTKEYCHAIN_LIBRARIES})
endif()

set(kio_gdrive_SRCS ${kio_gdrive_SRCS} ${BACKEND_SRC})
configure_file(gdrivebackend.h.in ${CMAKE_CURRENT_BINARY_DIR}/gdrivebackend.h)

ecm_qt_declare_logging_category(kio_gdrive_SRCS
    HEADER gdrivedebug.h
    IDENTIFIER GDRIVE
    CATEGORY_NAME kf.kio.workers.gdrive)

kcoreaddons_add_plugin(kio_gdrive
    SOURCES ${kio_gdrive_SRCS}
    INSTALL_NAMESPACE kf6/kio)

target_link_libraries(kio_gdrive
    Qt6::Core
    Qt6::Network
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::I18n
    ${BACKEND_LIBS})

target_link_libraries(kio_gdrive KPim6::GAPICore KPim6::GAPIDrive)

set_target_properties(kio_gdrive PROPERTIES OUTPUT_NAME "gdrive")

=== debian/changelog ===
kio-gdrive (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:08:51 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                extra-cmake-modules (>= 6.3.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts6-dev (>= 4:25.08.0~),
+               libkaccounts6-dev (>= 4:25.08.1~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
                libkf6purpose-dev (>= 6.3.0~),
-               libkgapi-dev (>= 25.08.0~),
+               libkgapi-dev (>= 25.08.1~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qtkeychain-qt6-dev (>= 0.12.0~),

## kio-gdrive 25.08.1+p24.04+vstable+git20250930.0456

=== debian/changelog ===
kio-gdrive (25.08.1+p24.04+vstable+git20250930.0456-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 04:56:42 +0000

kio-gdrive (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:17:33 +0000

kio-gdrive (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:44:53 +0000

kio-gdrive (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:23:18 +0000

kio-gdrive (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:23:33 +0000

kio-gdrive (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:13:18 +0000

kio-gdrive (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:18:53 +0000

kio-gdrive (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:39:22 +0000

kio-gdrive (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:28:13 +0000

kio-gdrive (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:20:09 +0000

kio-gdrive (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:15:35 +0000

kio-gdrive (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:21:58 +0000

kio-gdrive (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:02:01 +0000

kio-gdrive (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:31:21 +0000

kio-gdrive (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:33:45 +0000

kio-gdrive (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:09:36 +0000

kio-gdrive (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:31:14 +0000

kio-gdrive (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:21:57 +0000

kio-gdrive (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:14:02 +0000

kio-gdrive (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:54:11 +0000

kio-gdrive (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 17:37:44 +0000

kio-gdrive (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:29:06 +0000

kio-gdrive (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 22:57:49 +0000

kio-gdrive (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:59:26 +0000

kio-gdrive (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:41:41 +0000

kio-gdrive (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:18:53 +0000

kio-gdrive (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:51:45 +0000

kio-gdrive (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:28:46 +0000

kio-gdrive (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:35:46 +0000

kio-gdrive (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:56:30 +0000

kio-gdrive (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:21:27 +0000

kio-gdrive (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:59:49 +0000

kio-gdrive (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:45:07 +0000

kio-gdrive (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:09:29 +0000

kio-gdrive (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:04:08 +0000

kio-gdrive (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:15:14 +0000

kio-gdrive (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:00:29 +0000

kio-gdrive (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:05:17 +0000

kio-gdrive (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:36:01 +0000

kio-gdrive (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 12:34:18 +0000

kio-gdrive (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:06 +0000

kio-gdrive (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:43:40 +0000

kio-gdrive (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:55:21 +0000

kio-gdrive (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:24:53 +0000

kio-gdrive (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:55:39 +0000

kio-gdrive (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:23:03 +0000

kio-gdrive (20.12.3-0neon) focal; urgency=medium

  * New release



## kio-gdrive 25.08.1+p24.04+vstable+git20251001.0042

=== debian/changelog ===
kio-gdrive (25.08.1+p24.04+vstable+git20251001.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 00:42:08 +0000

## kio-gdrive 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-gdrive VERSION ${RELEASE_SERVICE_VERSION})

=== purpose/CMakeLists.txt ===
kcoreaddons_add_plugin(purpose_gdrive SOURCES purpose_gdrive.cpp gdrivejob.cpp INSTALL_NAMESPACE "kf6/purpose")
target_link_libraries(purpose_gdrive Qt::Core KF6::Purpose)
set_target_properties(purpose_gdrive PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/purpose")
install(FILES "purpose_gdrive_config.qml" DESTINATION ${KDE_INSTALL_DATADIR}/purpose)

target_link_libraries(purpose_gdrive KF6::KIOCore KF6::I18n KF6::Purpose)

=== src/integration/propertiesplugin/CMakeLists.txt ===
set(gdrivepropertiesplugin_SRCS
    gdrivepropertiesplugin.cpp
    ../../gdrivedebug.cpp
)

ki18n_wrap_ui(gdrivepropertiesplugin_SRCS gdrivepropertiesplugin.ui)

kcoreaddons_add_plugin(gdrivepropertiesplugin
    SOURCES ${gdrivepropertiesplugin_SRCS}
    INSTALL_NAMESPACE "kf6/propertiesdialog")

target_link_libraries(gdrivepropertiesplugin
    KF6::I18n
    KF6::KIOWidgets
)

=== debian/changelog ===
kio-gdrive (25.08.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop myself from Uploaders.
  * Update my copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 20 Oct 2025 16:47:35 -0400

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               appstream,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts6-dev (>= 4:24.08.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6purpose-dev (>= 6.3.0~),
               libkgapi-dev (>= 24.12.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qtkeychain-qt6-dev (>= 0.12.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kio-gdrive
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-gdrive.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration, ${misc:Depends}, ${shlibs:Depends},
Enhances: dolphin,
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf6 -- -DQT_MAJOR_VERSION=6

## kio-gdrive 25.08.2+p24.04+vstable+git20251015.1725

=== debian/changelog ===
kio-gdrive (25.08.2+p24.04+vstable+git20251015.1725-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:25:38 +0000

kio-gdrive (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:06:03 +0000

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kdoctools-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-purpose-dev,
               kpim6-libkgapi-dev,
               libaccounts-glib-dev,
               libkaccounts-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://community.kde.org/KIO_GDrive
Vcs-Git: https://invent.kde.org/neon/kde/kio-gdrive.git
Vcs-Browser: https://invent.kde.org/neon/kde/kio-gdrive
Maintainer: Neon CI <neon@kde.org>

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 25.08.2+p24.04+vstable+git20251019.0606

=== debian/changelog ===
kio-gdrive (25.08.2+p24.04+vstable+git20251019.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:06:19 +0000

## kio-gdrive 25.08.2+p24.04+vstable+git20251021.0336

=== debian/changelog ===
kio-gdrive (25.08.2+p24.04+vstable+git20251021.0336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:36:14 +0000

## kio-gdrive 25.08.2+p24.04+vstable+git20251031.1002

=== debian/changelog ===
kio-gdrive (25.08.2+p24.04+vstable+git20251031.1002-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:02:36 +0000

## kio-gdrive 25.08.2+p24.04+vunstable+git20251011.0357

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-gdrive VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-gdrive (25.08.2+p24.04+vunstable+git20251011.0357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 03:57:49 +0000

## kio-gdrive 25.08.2+p24.04+vunstable+git20251015.1657

=== debian/changelog ===
kio-gdrive (25.08.2+p24.04+vunstable+git20251015.1657-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:57:20 +0000

## kio-gdrive 25.08.2+p24.04+vunstable+git20251020.0344

=== debian/changelog ===
kio-gdrive (25.08.2+p24.04+vunstable+git20251020.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:44:41 +0000

## kio-gdrive 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-gdrive VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-gdrive (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:24:25 +0000

kio-gdrive (25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump KDE Gear build deps to current version.

 -- Rik Mills <rikmills@kde.org>  Fri, 31 Oct 2025 07:34:29 +0000

kio-gdrive (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:46:56 +0100

=== debian/control ===
Source: kio-gdrive
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts6-dev (>= 4:25.08.3~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6purpose-dev (>= 6.3.0~),
               libkgapi-dev (>= 25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qtkeychain-qt6-dev (>= 0.12.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kio-gdrive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-gdrive

Package: kio-gdrive
Architecture: any
Depends: kaccounts-integration, ${misc:Depends}, ${shlibs:Depends},
Enhances: dolphin,
Description: KIO access for GDrive
 KIO GDrive enables KIO-aware applications (such as Dolphin, Kate
 or Gwenview) to access and edit Google Drive files in the cloud.

## kio-gdrive 25.08.3+p24.04+vunstable+git20251201.0243

=== debian/changelog ===
kio-gdrive (25.08.3+p24.04+vunstable+git20251201.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:43:21 +0000

kio-gdrive (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:36 +1000

## kio-gdrive 25.08.3+p24.04+vunstable+git20251206.0738

=== debian/changelog ===
kio-gdrive (25.08.3+p24.04+vunstable+git20251206.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:38:07 +0000

## kio-gdrive 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-gdrive VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-gdrive (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:57:08 +0000

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                extra-cmake-modules (>= 6.3.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts6-dev (>= 4:25.08.3~),
+               libkaccounts6-dev (>= 4:25.11.80~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
                libkf6notifications-dev (>= 6.3.0~),
                libkf6purpose-dev (>= 6.3.0~),
-               libkgapi-dev (>= 25.08.3~),
+               libkgapi-dev (>= 25.11.80~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qtkeychain-qt6-dev (>= 0.12.0~),

## kio-gdrive 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-gdrive VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-gdrive (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:06:44 +0000

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                extra-cmake-modules (>= 6.3.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts6-dev (>= 4:25.11.80~),
+               libkaccounts6-dev (>= 4:25.11.90~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
                libkf6notifications-dev (>= 6.3.0~),
                libkf6purpose-dev (>= 6.3.0~),
-               libkgapi-dev (>= 25.11.80~),
+               libkgapi-dev (>= 25.11.90~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qtkeychain-qt6-dev (>= 0.12.0~),

## kio-gdrive 25.12.0

=== debian/changelog ===
kio-gdrive (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:22:35 +0000

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                extra-cmake-modules (>= 6.3.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts6-dev (>= 4:25.11.90~),
+               libkaccounts6-dev (>= 4:25.12.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
                libkf6notifications-dev (>= 6.3.0~),
                libkf6purpose-dev (>= 6.3.0~),
-               libkgapi-dev (>= 25.11.90~),
+               libkgapi-dev (>= 25.12.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qtkeychain-qt6-dev (>= 0.12.0~),

## kio-gdrive 25.12.0+p24.04+vstable+git20251208.2230

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-gdrive VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-gdrive (25.12.0+p24.04+vstable+git20251208.2230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:30:43 +0000

kio-gdrive (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:52 +1000

## kio-gdrive 25.12.1

=== debian/changelog ===
kio-gdrive (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:05:32 +0000

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                extra-cmake-modules (>= 6.3.0~),
                intltool,
                libaccounts-glib-dev,
-               libkaccounts6-dev (>= 4:25.12.0~),
+               libkaccounts6-dev (>= 4:25.12.1~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
                libkf6notifications-dev (>= 6.3.0~),
                libkf6purpose-dev (>= 6.3.0~),
-               libkgapi-dev (>= 25.12.0~),
+               libkgapi-dev (>= 25.12.1~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qtkeychain-qt6-dev (>= 0.12.0~),
